Bug 1000194 - (CVE-2013-4262, CVE-2013-7393) CVE-2013-4262 CVE-2013-7393 subversion: svnwcsub.py and irkerbridge.py are vulnerable to symlink attack
CVE-2013-4262 CVE-2013-7393 subversion: svnwcsub.py and irkerbridge.py are vu...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130830,reported=2...
: Security
Depends On:
Blocks: 1000203
  Show dependency treegraph
 
Reported: 2013-08-22 18:17 EDT by Vincent Danen
Modified: 2014-07-28 15:12 EDT (History)
1 user (show)

See Also:
Fixed In Version: subversion 1.8.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 18:19:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream patch to fix CVE-2013-4262 (1.71 KB, patch)
2013-08-22 18:19 EDT, Vincent Danen
no flags Details | Diff

  None (edit)
Description Vincent Danen 2013-08-22 18:17:40 EDT
Two flaws were reported in optional admin-side utilities that are provided with Subversion 1.8.x:

svnwcsub.py and irkerbridge.py take a --pidfile option which creates a file containing the process id they are running as.  Both of them do not take steps to ensure that the file they have been directed at is not a symlink.  If the pid file is in a directory writeable by unprivileged users, the destination could be replaced by a symlink allowing for privilege escalation.  Both are optional extra tools that are not installed by default and do not create a pid file by default.

These tools are not provided in earlier versions of Subversion.


Acknowledgements:

Red Hat would like to thank Ben Reser of the Apache Subversion project for reporting this issue. Upstream acknowledges Daniel Shahaf of Apache Infrastructure as the original issue reporter.


Statement:

Not vulnerable.  This issue did not affect the versions of subversion as shipped with Red Hat Enterprise Linux 5 or 6, as they did not ship the vulnerable versions of subversion.
Comment 1 Vincent Danen 2013-08-22 18:18:16 EDT
This issue is embargoed until 29 August 2013 17:00 UTC.
Comment 2 Vincent Danen 2013-08-22 18:19:10 EDT
Created attachment 789385 [details]
upstream patch to fix CVE-2013-4262
Comment 3 Vincent Danen 2013-08-30 12:41:06 EDT
External References:

http://subversion.apache.org/security/CVE-2013-4262-advisory.txt
Comment 4 Vincent Danen 2014-07-28 15:12:38 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4262 to
the following vulnerability:

Name: CVE-2013-4262
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-4262
Assigned: 20130612
Reference: https://subversion.apache.org/security/CVE-2013-4262-advisory.txt

svnwcsub.py in Subversion 1.8.0 before 1.8.3, when using the --pidfile
option and running in foreground mode, allows local users to gain
privileges via a symlink attack on the pid file.  NOTE: this issue was
SPLIT due to different affected versions (ADT3). The irkerbridge.py
issue is covered by CVE-2013-7393.


Common Vulnerabilities and Exposures assigned an identifier CVE-2013-7393 to
the following vulnerability:

Name: CVE-2013-7393
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-7393
Assigned: 20140728
Reference: https://subversion.apache.org/security/CVE-2013-4262-advisory.txt

The daemonize.py module in Subversion 1.8.0 before 1.8.2 allows local
users to gain privileges via a symlink attack on the pid file created
for (1) svnwcsub.py or (2) irkerbridge.py when the --pidfile option is
used.  NOTE: this issue was SPLIT from CVE-2013-4262 based on different
affected versions (ADT3).

Note You need to log in before you can comment on or make changes to this bug.